:root {
    --background-color: rgb(6,11,16);
    --overlay-background-color: rgb(16,21,26);
    --empty-background-color: rgb(41,41,41);
    --text-color: rgb(216,216,211);
    --alt-text-color: rgb(166,166,166);
    --scroll-bar-color: rgb(86,99,106);
    --icon-brightness: 0%;
    --padding: 50px;
    --gap: 2px;
    --alt-padding: 30px;
    --font-size: 1rem
}

@font-face {
  font-family: 'Bevola';
  src: url('Assets/Bevola.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: 'Saira';
  src: url('Assets/SairaStencil.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

/* Initial */

div,img {
    margin: 0;
    padding: 0;
    -webkit-user-select: none;
    -ms-user-select: none; 
    user-select: none;
}

body {
    background-color: var(--overlay-background-color);
    overflow: hidden;
    margin: 0;
    padding: 0;
}
h1, h2, h3, h4, h5, h6, p, a {
    font-family: 'Saira', sans-serif;
    color: var(--text-color);
    margin: 0;
    padding: 0;
    -webkit-user-select: none;
    -ms-user-select: none; 
    user-select: none;
}
.title {
    font-family: 'Bevola', cursive;
    font-size: 2rem;
    text-align: left;
    margin-bottom: 20px;
}

.descriptionTitle {
    font-family: 'Saira', sans-serif;
    font-size: 1.25rem;
    color: var(--alt-text-color);
    text-align: left;
}

.aboutmeTitle {
    font-family: 'Saira', sans-serif;
    font-size: 1rem;
    color: var(--alt-text-color);
    margin-top: 50px;
}

.nameTitle {
    font-family: 'Bevola', cursive;
    font-size: 4rem;
    filter: drop-shadow(1px 1px 20px white);
    text-align: left;
    margin-bottom: 20px;
    margin-top: 8%;
}

/* Container Configuration */

.container {
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    background-color: var(--background-color);
    padding: 50px;
    min-height: calc(400px - 1px);
    position: relative;
    border-radius: 5px;
    max-width: 100vw;
    overflow: hidden;
    scrollbar-width: thin;
    scrollbar-color: var(--scroll-bar-color) transparent;
}

/* Row and Parent Configuration */

.parentcontainer {
    background-color: var(--overlay-background-color);
    aspect-ratio: 16/9;
    height: 75vh;
    /* width: 100vw; */
    display: grid;
    grid-template-rows: repeat(6,1fr);
    grid-gap: 1px;
    filter: drop-shadow(0px 0px 10px var(--background-color));
    transform: translateY(15vh);
    margin-bottom: 15vh;
    border-radius: 5px;
    overflow-y: auto;
    overflow-x: hidden;

    scrollbar-color: var(--background-color) transparent;
    padding: 1px 1px 0px 1px;
}

.rowContainer {
    display: grid;
    grid-gap: 1px;
    gap: 1px;
    flex-direction: column;
    /* min-height: calc(55vh - 1px); */
}
.rowContainer:nth-child(1) {
    grid-template-columns: repeat(2, 1fr);
}
.rowContainer:nth-child(2) {
    height: auto;
    grid-template-columns: 1fr;
}
.rowContainer:nth-child(3) {
    grid-template-columns: repeat(2, 1fr);
}
.rowContainer:nth-child(4) {
    grid-template-columns: repeat(3, 1fr);
}

/* Image Display Configuration */

.zoomedImageDisplayContainer {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.8);
    display: none;
    opacity: 0;
    justify-content: center;
    align-items: center;
    z-index: 20;
    transition: opacity 0.2s ease;
}

.zoomedImageDisplay {
    max-width: 60vw;
    max-height: 90vh;
    padding: 30px;
    background-color: var(--overlay-background-color);
    object-fit: contain;
    border-radius: 5px;
    z-index: 2;
}

.zoomedVideoDisplay {
    max-width: 60vw;
    max-height: 90vh;
    padding: 30px;
    background-color: var(--overlay-background-color);
    object-fit: contain;
    border-radius: 5px;
}

.zoomedImageDisplayContainer .close {
    position: absolute;
    top: 50px;
    left: 50px;
    background-color: transparent;
    border: none;
    color: white;
    font-family: "Saira", sans-serif;
    font-size: 1.5rem;
    cursor: pointer;
}

/* Navigation Bar Configuration */

.navButtons {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}
.navButtons button {
    text-decoration: none;
    background: none;
    border: none;
    cursor: pointer;
    color: var(--text-color);
    font-size: 1rem;
    font-family: 'Saira', sans-serif;
}
.navButtons button:hover {
    filter: drop-shadow(0px 0px 6px gray);
}
.navTitle {
    height: 1.5rem;
    color: var(--text-color);
}
.navigationBar {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    padding: 30px;
    box-sizing: border-box;
    filter: drop-shadow(0px 0px 10px var(--background-color));
    background-color: var(--background-color);
    width: 100%;
    z-index: 10;
    position: fixed;
}

/* Showcase Slides Container */

.showcaseSlidesContainer {
    width: 100%;
    height: 100%;
    max-height: 400px;
    overflow: hidden
}

.showcaseSlide {
    height: calc(100% - 100px);
    max-height: 400px;
    width: calc(100% - 100px);
    position: absolute;
    gap: 0px;
    transform: translate(0,0);
    object-fit: contain;
    background-color: var(--empty-background-color);
    transition: transform 0.5s ease;
}

.slides {
    max-height: 400px;
    overflow: hidden;
}

.showcaseSlideInfo {
    z-index: 5;
    width: calc(100% - 100px);
    max-height: 400px;
    height: calc(100% - 100px);
    /* background-color: red; */
    position: absolute;
}

.showcaseTitle {
    text-align: left;
    margin-left: 20px;
    margin-top: 20px;
    font-size: 1.2rem;
    font-weight: bold;
    filter: drop-shadow(1px 1px 1px black);
    transition: opacity 0.2s ease;
}
.showcaseDate {
    text-align: left;
    margin-left: 20px;
    margin-top: 10px;
    font-size: 0.9rem;
    color: var(--alt-text-color);
    font-style: italic;
    filter: drop-shadow(1px 1px 1px black);
    transition: opacity 0.2s ease;
}

.showcaseDescription {
    position: absolute;
    text-align: center;
    left: 50%;
    top: 100%;
    width: 80%;
    transform: translate(-50%,calc(-100% - 40px));
    filter: drop-shadow(1px 1px 1px black);
    transition: opacity 0.2s ease;
}

.showcaseBobs {
    z-index: 5;
    position:absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 10px;
    width: 100%;
    padding: 0px;
    left: 50%;
    top: 100%;
    transform: translate(-50%,calc(-100% - 20px));
    gap: 10px
}

.showcaseBobs .bob {
    padding: 0px;
    margin: 0px;
    height: 10px;
    width: 10px;
    border-radius: 100%;
    border: none;
    background: var(--alt-text-color);
    transition: background 0.2s ease;
}
.showcaseBobs .chosen {
    background: var(--text-color);
}

/* Prior Projects Configuration */

.showcaseContainer {
    display: flex;
    flex-direction: column;
    align-items:flex-start;
    width: 100%;
    height: auto;
}

.typeTitle {
    font-family: 'Saira', sans-serif;
    font-size: 1.25rem;
    color: var(--alt-text-color);
}

.imageContainer {
    display: flex;
    flex-direction: row;
    overflow-x: auto;
    gap: 30px;
    margin-top: 10px;
    margin-bottom: 10px;
    box-sizing: border-box;
    padding: 30px;
    width: 100%;
    height: auto;
    min-height: 15vh;
    border-radius: 5px;

    /* background-color: rgb(0,5,10); */
    scrollbar-color: var(--scroll-bar-color) transparent;
}

.imageContainer p {
    font-family: 'Saira', sans-serif;
    font-size: 1rem;
    filter: drop-shadow(1px 1px 1px black);
    position: absolute;
    text-align: center;
    width: 100%;
    padding-bottom: 10px;
    top: 100%;
    transform: translate(0%,-100%);
    z-index: 10;
}

.imageContainer div {
    position: relative;
    width: auto;
    height: 100%;
}

.imageContainer div.imageGrid {
    display: grid;
    grid-auto-flow: column;
    grid-template-rows: auto auto;
    height: auto;
    gap: 5px;
    /* width: 100%; */
    margin: 0px;
    padding: 0px;
}

.imageContainer .videoDisplay .thumbnail {
    height: 100%;
    width: 100%;
    object-fit: contain;
}

.pixelated {
    image-rendering: -moz-crisp-edges; /* Firefox */
    image-rendering: pixelated;
}

.imageContainer .videoDisplay {
    background-color: var(--empty-background-color);
    object-fit: contain;
    max-height: 35vh;
    max-width: 60vw;
    /* width: 250px; */
    min-width: 250px;
    transform-origin: center;
    filter: drop-shadow(0px 0px 5px black);
    transition: transform 0.2s ease, border-radius 0.2s ease;
    margin: 0px;
    padding: 0px;
    aspect-ratio: 4/3;
}

.imageContainer .imageDisplay {
    height: 100%;
    background-color: var(--empty-background-color);
    object-fit: contain;
    max-height: 30vh;
    transform-origin: center;
    width: 250px;
    max-width: 40vw;
    filter: drop-shadow(0px 0px 5px black);
    transition: transform 0.2s ease, border-radius 0.2s ease;
    margin: 0px;
    padding: 0px;
    aspect-ratio: 4/3;
}

/* Services Configuration */

.services.info :is(h1,h2,h3,h4,h5,h6,p,ul,li) {
    box-sizing: border-box;
    font-family: 'Saira';
    font-size: 1rem;
    padding: none;
    margin-top: 5px;
    color: var(--alt-text-color);
}
.services.info li::marker {
    list-style-type: disc;
    color: var(--scroll-bar-color);
    content: "-     ";
}
.services.info {
    margin-top: 20px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    flex: 1;
    padding-right: 20px;
    max-height: 30vh;
    scroll-behavior: smooth;
    overflow-y: auto;
    scrollbar-width: thin;
    scrollbar-color: var(--scroll-bar-color) transparent;
}

/* Plans Configuration */

.plans.info :is(h1,h2,h3,h4,h5,h6,p,ul,li) {
    box-sizing: border-box;
    font-family: 'Saira';
    font-size: 1rem;
    padding: none;
    margin-top: 5px;
    color: var(--alt-text-color);
}
.plans.info li::marker {
    list-style-type: disc;
    color: var(--scroll-bar-color);
    content: "-     ";
}
.plans.info {
    margin-top: 20px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    flex: 1;
    padding-right: 20px;
    max-height: 30vh;
    scroll-behavior: smooth;
    overflow-y: auto;
    scrollbar-width: thin;
    scrollbar-color: var(--scroll-bar-color) transparent;
}

/* Guidelines Configuration */

.guidelines.info :is(h1,h2,h3,h4,h5,h6,p) {
    box-sizing: border-box;
    font-family: 'Saira';
    font-size: 1rem;
    padding: none;
    margin-top: 5px;
    color: var(--alt-text-color);
}
.guidelines.info {
    margin-top: 20px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    flex: 1;
    padding-right: 20px;
    max-height: 30vh;
    scroll-behavior: smooth;
    overflow-y: auto;
    scrollbar-width: thin;
    scrollbar-color: var(--scroll-bar-color) transparent;
}

/* Contact Configuration */

.contactInfoContainer {
    display: flex;
    align-items: center;
    gap: 10px;
    padding-top: 20px;
}
.contact.info.text {
    font-family: 'Saira';
    font-size: 1rem;
    padding-top: 20px;
    color: var(--alt-text-color);
}
.contact.info.footer {
    font-family: 'Saira';
    font-size: 0.8rem;
    padding-top: 20px;
    color: var(--alt-text-color);
}
.contact.info.iconContainer {
    border-radius: 100%;
    aspect-ratio: 1;
    background-color: var(--text-color);
    width: 48px;
    height: 48px;
    display: flex;
    justify-content: center;
    align-items: center;
    transform-origin: center;
    transform: scale(1);
    transition: transform 0.2s ease, filter 0.2s ease;
}

.contact.info.iconContainer:hover {
    transform: scale(1.1);
    filter: drop-shadow(0px 0px 3px var(--text-color));
}

.contact.info.iconContainer img.icon {
    /* color:  var(--background-color); */
    filter: brightness(var(--icon-brightness));
    width: 24px;
    height: 24px;
}
.contact.info.email span.icon {
   font-family: 'Material Symbols Outlined';
    font-size: 24px;
    color: white;
    filter: brightness(var(--icon-brightness));
    font-variation-settings:
        'FILL' 0,
        'wght' 400,
        'GRAD' 0,
        'opsz' 24;
}

/* Review Configuration */

.review.author {
    font-family: 'Saira';
    font-size: 0.8rem;
    padding-top: 10px;
    text-align: right;
    font-style: italic;
    color: var(--alt-text-color);
}
.review.author a {
    font-family: 'Saira';
    font-size: 0.8rem;
    padding-top: 10px;
    text-align: right;
    font-style: italic;
    font-weight: bold;
    text-decoration: none;
    color: var(--alt-text-color);
}
.review.text {
    font-family: 'Saira';
    font-size: 1rem;
    padding-top: 10px;
    color: var(--text-color);
}
.review.info {
    margin-top: 20px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    flex: 1;
    padding-right: 20px;
    max-height: 30vh;
    scroll-behavior: smooth;
    overflow-y: auto;
    scrollbar-width: thin;
    scrollbar-color: var(--scroll-bar-color) transparent;
}